# -*- coding: utf-8 -*-

from fastapi import APIRouter, HTTPException, Path, Query

from app.models.targets import TargetReadjustInResponse

router = APIRouter()


@router.get('/readjust', response_model=TargetReadjustInResponse)
async def readjust_target(
        project_id: str = Query(..., max_length=50, regex='^Pj'),
        space_id: str = Query(..., max_length=50, regex='^Sp'),
        wechat_timestamp: str = Query(None, min_length=8, max_length=8),
):
    # TODO
    return
