# -*- coding: utf-8 -*-

import arrow


def get_time_str(delta: int = 0, flag: str = 'now') -> str:
    """
    Return two beijing time strings.
    :param delta: time delta(seconds)
    :param flag:
    :return: two '%Y%m%d%H%M%S' format strings
    """
    utc = arrow.utcnow()
    local = utc.to('Asia/Shanghai')
    _FMT = '%Y%m%d%H%M%S'
    if flag == 'ago':
        delta = -delta
        t = local.shift(seconds=delta)
    elif flag == 'later':
        t = local.shift(seconds=delta)
    else:
        t = local

    time_str = t.format('%Y%m%d%H%M%S')

    return time_str
